#
# spec file for package python3-django-rosetta
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-django-rosetta
Version:        0.7.12
Release:        1.11
License:        MIT
Summary:        A Django application that eases the translation of Django projects
Url:            https://github.com/mbi/django-rosetta
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-rosetta/django-rosetta-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
BuildRequires:  python3-polib
Requires:       python3-django
Requires:       python3-polib
BuildArch:      noarch

%description
A Django application that eases the translation process of your Django projects.

%prep
%setup -q -n django-rosetta-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sat Sep 10 2016 arun@gmx.de
- update to version 0.7.12:
  * Fix IndexError in fix_nls when translation is just a carriage
    return (PR #168, thanks @nealtodd)
  * Remove float formatting of integer percent translated (PR #171,
    thanks @nealtodd)
  * Fixed a comment (PR #170, thanks @dnaranjo89)
  * Test against Django 1.10
  * Dropped support for goslate and the Google translate API
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sat Apr  2 2016 arun@gmx.de
- specfile:
  * pyc files not in tar-ball anymore, removed "rm ..." before setup
- update to version 0.7.11:
  * Make MO file compilation optional (PR #166, Issue #155, thanks
    @nealtodd)
  * Fix an invalid page get parameter by falling back to page 1 (PR
    [#165], thanks @nealtodd)
  * Adds reference language selector (PR #60, thanks @hsoft)
* Sat Mar 12 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.7.10:
  * Re-released 0.7.9 to include a missing image (Issue #162, thanks
    @legios89)
- changes from version 0.7.9:
  * Use language code without country specification for Yandex dest
    lang (PR #152, thanks @nealtodd)
  * Support discovering locale directories like zh_Hans(xx_Xxxx)
    (Fixes #133 via PR #153 and #133, thanks @glasslion and
    @dohsimpson)
  * Ship Django's original search icon as a static asset (Fixes #157,
    thanks @facconi)
  * Added a warning about translation via the Google Translate service
    being deprecated in the next version
* Sat Dec  5 2015 arun@gmx.de
- update to version 0.7.8:
  * Adds missing includes in MANIFEST.in
  * Support for running tests via setuptools
  * Updated microsofttranslator dependency version
- changes from version Version 0.7.7:
  * Supported Django versions are now 1.7, 1.8 and 1.9
  * Added proper documentation
  * Fixed typo in documentation (PR #130, thanks @dfrdmn)
  * Fixes the Fuzzy toggle link by adding an actual toggle checkbox
    (Issue #132, thanks @EmilStenstrom)
  * Better handling of Custom User Models while checking wether the
    current User is authorized to translate (Issue #131, thanks
    @EmilStenstrom)
  * Include the testproject in the sdist tarball to allow Debian to
    run tests during installation (Issue #137, thanks @fladi)
  * Display an explicit error message to the enduser when saving the
    POfile fails for some reason (Issue #135, thanks @pgcd)
  * Added support for PEP 3101 string formatting (PR #140, thanks
    @adamjforster)
  * Added support for composite locales, e.g. 'bs-Cyrl-BA' (Issue
    [#142], thanks @felarov)
  * Fixed a misplaced CSRF token (PR #145, thanks @pajod)
* Fri Apr  3 2015 arun@gmx.de
- specfile:
  * added requirement for polib
- update to version 0.7.6:
  * Added support for the Free Google Translate API (PR #117, thanks
    @cuchac)
  * Probable fix for apps defined by their AppConfig causing havoc in
    Django 1.7 and later (Issues #113 and #125)
  * Test configuration improved to test against Django 1.8 beta 1 and
    Django 1.7.5
  * Require polib >= 1.0.6 (PR #127, thanks @NotSqrt)
  * Test against Django 1.8 final
* Tue Feb 10 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.7.5:
  * Fixed external JavaScript import to be url scheme independent (PR
    [#101], thanks @tsouvarev)
  * Fixed a test
  * Added support for excluding certain locale paths from the list of
    PO catalogs (PR #102, thanks @elpaso)
  * Added support for translator groups (PR #103, thanks @barklund)
  * Removed Microsoft Translator as a shipped lib, relying on an
    external version instead
  * Improved the app loading mechanism to cope with Django 1.7's new
    AppConfig (thanks @artscoop)
  * Fixed a couple inconsistencies in the German translation. (thanks
    @benebun)
  * Use content_type instead of mimetype in HttpResponse. (Issue #115,
    thanks @vesteinn)
  * Don't assume that request.user has settable properties, this was a
    silly idea anyway (Issue #114, thanks @stevejalim)
  * Preserve HTML code when receiving translations from the Yandex
    translation service (Issue #116, thanks @marcbelmont)
  * Use TOX for testing
  * Test against Django
* Sun Dec 14 2014 arun@gmx.de
- specfile: update copyright year
- update to version 0.7.4:
  * New ROSETTA_POFILENAMES setting. (PR #44, thanks @wrboyce)
  * Updated Czech translation (#97, #99 thanks @cuchac)
  * Fixed gettext standard compliance of all shipped translations
  * No longer ship polib, rely on the Cheeseshop instead
- changes from version 0.7.3:
  * Fix for test settings leaking onto global settings: LANGUAGES was
    overridden and not set back (Issue #81 - Thanks @zsoldosp)
  * Test against Django 1.6.1
  * Missing context variable in catalog list (Issue #87 - Thanks @kunitoki)
  * Added support for Yandex translation API (Issue #89 - Thanks
    @BlackWizard) See supported languages and limitations here:
    https://github.com/mbi/django-rosetta/pull/89
  * Added support for the Azure translation API, replacing the BING
    API. (Issue #86, thanks @davidkuchar and @maikelwever)
  * Removed support for the signed_cookies SESSION_ENGINE +
    SessionRosettaStorage in Django 1.6, because serialization of
    POFiles would fail
  * Simplified the group membership test (Issue #90 - Thanks @dotsbb)
  * Better serving of admin static files. (Issue #61, thanks @tback)
  * Dropped Django 1.3 support
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 0.7.2
  + No changelog available
- Replace python-distribute with python-setuptools BuildRequires
- Add documentation from tarball
* Sat Mar  2 2013 alexandre@exatati.com.br
- Update to 0.7.1:
  * Fix: value missing in context
- Aditional changes from 0.7.0:
  * Support for Django 1.5 and HEAD, support for Python 3.
  * Upgraded bundled polib to version 1.0.3 -
    http://pypi.python.org/pypi/polib/1.0.3
  * Support timezones on the last modified PO header. Thanks
    @jmoiron (Issue #43)
  * Actually move to the next block when submitting a lot
    of translations (Issue #13)
  * Add msgctxt to the entry hash to differentiate entries with
    context. Thanks @metalpriest (Issue #39)
  * Better discovery of locale files on Django 1.4+ Thanks
    @tijs (Issues #63, #64)
  * List apps in alphabetical order
* Fri Jun  8 2012 aledr@exatati
- Update to 0.6.8:
  - Switched to a pluggable storage backend model to increase
    compatibility with Django 1.4. Cache and Session-based storages
    are provided.
- Aditional changes from 0.6.7:
  - Added a testproject to run tests
  - Updated french translation. Thanks, @BertrandBordage
  - Merged @sleepyjames' PR that fixes an error when pofile save
    path contains '.po' in the path
  - Merged @rory's PR to correcty handle plural strings that have
    a leading/trailing newline (Issue #34)
- Reworked spec file with py2pack.
* Tue Mar 27 2012 alexandre@exatati.com.br
- Update to 0.6.6:
  * Django 1.4 support (Issue #30, #33)
  * Better handling of translation callbacks on Bing's translation
    API and support of composite locales (Issue #26)
* Sat Jan 28 2012 alexandre@exatati.com.br
- Update to 0.6.5:
  - Updated polib to 0.7.0
  - Added ROSETTA_POFILE_WRAP_WIDTH setting to track the line-length
    of the updated Po file. (Issue #24)
  - Renamed the messages context variable to rosetta_messages prevent
    conflicts with django.contrib.messages (Issue #23)
- Aditional changes from 0.6.4:
  - Added ROSETTA_REQUIRES_AUTH option to grant access to non
    authenticated users (False by default).
* Fri Jan  6 2012 alexandre@exatati.com.br
- Update to 0.6.3:
  - Sorry, no changelog.
- Remove CFLAGS and %%clean section from spec file.
* Thu Jun 16 2011 alexandre@exatati.com.br
- Update to 0.6.2;
- Replace python-setuptools by python-distribute in spec file.
* Wed Mar 23 2011 alexandre@exatati.com.br
- Update to 0.6.0;
- Regenerated spec file with py2pack.
* Wed Jul  7 2010 alexandre@exatati.com.br
- Update to 0.5.6.
* Sat Jun  5 2010 alexandre@exatati.com.br
- Update to 0.5.5;
- Spec file cleaned with spec-cleaner.
* Thu Feb 25 2010 alexandre@exatati.com.br
- Update to 0.5.3.
* Sat Jan 23 2010 alexandre@exatati.com.br
- Update to 0.5.2.
* Fri Nov 27 2009 alexandre@exatati.com.br
- Update to 0.5.1.
* Wed Oct 21 2009 alexandre@exatati.com.br
- Update to 0.4.9.
* Mon Oct 19 2009 alexandre@exatati.com.br
- Update to 0.4.8.
* Wed Sep 23 2009 alexandre@exatati.com.br
- Update to 0.4.7;
- Building as noarch for openSUSE >= 11.2.
* Mon Sep 21 2009 alexandre@exatati.com.br
- Initial package (0.4.6.svn).
